#define  capteur A0
#define  ledRouge 10
#define  ledVerte 9
#define  ledBleue 8

const char temp_max = 26;
const char temp_min = 19;

void setup() {
  Serial.begin(9600);

  pinMode(capteur, INPUT);

  pinMode(ledRouge, OUTPUT);
  pinMode(ledVerte, OUTPUT);
  pinMode(ledBleue, OUTPUT);

  digitalWrite(ledRouge, LOW);
  digitalWrite(ledVerte, LOW);
  digitalWrite(ledBleue, LOW);

}

void loop() {
  // lecture de la temperature
  float temperature = lectureTemp(capteur);

  digitalWrite(ledRouge, LOW);
  digitalWrite(ledVerte, LOW);
  digitalWrite(ledBleue, LOW);
  if (temperature < temp_min) digitalWrite(ledBleue, HIGH);
  else {
    if (temperature > temp_max) digitalWrite(ledRouge, HIGH);
    else  digitalWrite(ledVerte, HIGH);
  }
  Serial.print("La temperature est de : ");
  Serial.println(temperature , 2);
  delay(5000);
}

float lectureTemp(int pin) {
  int valeur = analogRead(pin);   // valeur compris entre 0 et 1023
  float tension = 5000;                 // 5 voltpacmaj
  int resolution = 1024;               // resolution du converisseur A/D
  float coeff = 10 ;                        // 10 mvolt / C
  float offset = 0 ;                         // mettre 500 pour TM36
  float temperature = (((tension / resolution)  * valeur) - offset) / coeff;
  return temperature;
}
